- [HTTP request](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters.dbNodes/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters.dbNodes/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters.dbNodes/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters.dbNodes/list.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters.dbNodes/list.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters.dbNodes/list.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters.dbNodes/list.md.txt#body.aspect_1)

Lists the database nodes of a VM Cluster.

### HTTP request

Choose an endpoint:
global asia-northeast2 asia-south2 asia-south1 australia-southeast2 europe-west8 northamerica-northeast2   
`GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*/exadbVmClusters/*}/dbNodes`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent value for database node in the following format: projects/{project}/locations/{location}/cloudVmClusters/{cloudVmCluster}. . |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. If unspecified, at most 50 db nodes will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A token identifying a page of results the node should return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `ListDbNodesResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/oracle-database`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `oracledatabase.dbNodes.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).